This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 819930 - 'Insufficient privileges' message when user clicks on 'Monitor' tab - should be permissible
'Insufficient privileges' message when user clicks on 'Monitor' tab - should ...
Status: ON_QA
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.0.0
Unspecified Linux
unspecified Severity medium
: rc
: ---
Assigned To: Angus Thomas
Rehana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 12:16 EDT by Ronelle Landy
Modified: 2013-01-25 11:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Insufficient privileges message in Monitor tab (243.55 KB, image/png)
2012-05-08 12:16 EDT, Ronelle Landy
no flags Details

  None (edit)
Description Ronelle Landy 2012-05-08 12:16:03 EDT
Created attachment 583041 [details]
Insufficient privileges message in Monitor tab

Description of problem:
If a user without Blueprint Permissions tries to execute an action on a blueprint, the "You have insufficient privileges to perform the selected action." warning shows up in Conductor (this is correct). Even if the user closes the message box and then clicks on the Monitor tab (which the user has permissions to view), the "You have insufficient privileges to perform the selected action." message is pops up again.


How reproducible:


Steps to Reproduce:
1. Log in as a user without Global Application Blueprint Administrator permissions
2. Navigate to Content -> Catalogs -> Default -> <some blueprint>
3. Try to perform an action for which the user does not have permissions (example; add or remove a catalog)
4. See the "You have insufficient privileges to perform the selected action." message ( correct)
5. Close the message box
6. Click on the 'Monitor' tab
7. See the "You have insufficient privileges to perform the selected action." message pop up again 

 - - See attached screenshot


Additional info:

Versions tested:
>> rpm -qa | grep aeolus
aeolus-configure-2.5.3-1.el6.noarch
aeolus-all-0.8.13-1.el6_2.noarch
aeolus-conductor-0.8.13-1.el6_2.noarch
aeolus-conductor-daemons-0.8.13-1.el6_2.noarch
rubygem-aeolus-cli-0.3.1-1.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-conductor-doc-0.8.13-1.el6_2.noarch
Comment 3 Dave Johnson 2013-01-25 11:19:05 EST
Let's get this rested as its fairly old now and the app has went through some changes since opening.

Note You need to log in before you can comment on or make changes to this bug.